/* This CSS gets applied to the tinymce editor */

@import (less) 'variables.less';

*[xml\:lang|='ar'],
*[xml\:lang|='fa'],
*[xml\:lang|='he'],
*[xml\:lang|='iw'],
*[xml\:lang|='ota'] {
  direction: rtl !important;
}

/* This CSS gets applied to the tinymce editor */
/* entity colours */
.showEntities .entity,
.ui-dialog-content .entity {
  // border-width: 1px;
  // border-bottom-style: dotted;

  padding: 2px 4px 4px 4px;
  color: white !important;
  border-radius: 4px;
}

.showEntities .entityHighlight > .entity {
  border-width: 2px;
}

.entityHighlight.person {
  background-color: fade(@entity-person, 20%);
}

.entityHighlight.date {
  background-color: fade(@entity-date, 20%);
}

.entityHighlight.place {
  background-color: fade(@entity-place, 20%);
}

.entityHighlight.thing {
  background-color: fade(@entity-thing, 20%);
}

.entityHighlight.org {
  background-color: fade(@entity-organization, 20%);
}

.entityHighlight.organization {
  background-color: fade(@entity-organization, 20%);
}

.entityHighlight.work {
  background-color: fade(@entity-work, 20%);
}

.entityHighlight.correction {
  background-color: fade(@entity-correction, 20%);
}

.entityHighlight.link {
  background-color: fade(@entity-link, 20%);
}

.showEntities .person,
.ui-dialog-content .person {
  // border-color: mix(desaturate(@entity-person, 30%), #fff, 50%);

  border-color: @person;
  background-color: @person;
}

.showEntities .date,
.ui-dialog-content .date {
  border-color: @entity-date;
  background-color: @entity-date;
}

.showEntities .place,
.ui-dialog-content .place {
  border-color: @entity-place;
  background-color: @entity-place;
}

.showEntities .thing,
.ui-dialog-content .thing {
  border-color: @entity-thing;
  background-color: @entity-thing;
}

.showEntities .organization,
.ui-dialog-content .organization {
  border-color: @entity-organization;
  background-color: @entity-organization;
}

.showEntities .work,
.ui-dialog-content .work {
  border-color: @entity-work;
  background-color: @entity-work;
}

.showEntities .correction,
.ui-dialog-content .correction {
  border-color: @entity-correction;
  background-color: @entity-correction;
}

.showEntities .link,
.ui-dialog-content .link {
  border-color: @entity-link;
  background-color: @entity-link;
}

.entity[_candidate] {
  border-width: 0px !important;
}
.entity.person[_candidate] {
  color: @entity-person !important;
}
.entity.place[_candidate] {
  color: @entity-place !important;
}
// .entity.org[_candidate] {
//   color: @entity-org !important;
// }
.entity.organization[_candidate] {
  color: @entity-organization !important;
}
.entity.work[_candidate] {
  color: @entity-work !important;
}
.entity.date[_candidate] {
  color: @entity-date !important;
}
.entity.correction[_candidate] {
  color: @entity-correction !important;
}
.entity.link[_candidate] {
  color: @entity-link !important;
}
.entity.keyword[_candidate] {
  color: @entity-keyword !important;
}
.entity.thing[_candidate] {
  color: @entity-thing !important;
}

.noteWrapper::before {
  cursor: pointer;
}

.noteWrapper.note::before {
  content: url(../images/note_inline_large.png);
}

.noteWrapper.citation::before {
  content: url(../images/citation.svg);
  /* background-color: rgb(205, 0, 116); */
  background-color: var(--citation);
  border-radius: 2px;
  padding: 2px 3px 0px 3px;
  color: white;
  margin-left: 2px;
  margin-right: 2px;
  position: relative;
  top: 2px;
}

.noteWrapper.keyword::before {
  content: url(../images/key_inline.svg);
  background-color: rgb(0, 128, 64);
  border-radius: 2px;
  padding: 2px 3px 0px 3px;
  color: white;
  margin-left: 2px;
  margin-right: 2px;
  position: relative;
  top: 2px;
}

/* .noteWrapper.note.entityHighlight::before {
  content: url(../images/note_inline_large_highlight.png);
} */

.noteWrapper.note.entityHighlight::before {
  content: url(../images/sticky-note-inline.svg);
  background-color: rgb(224, 190, 0);
  border-radius: 2px;
  padding: 2px 3px 0px 3px;
  color: white;
  margin-left: 6px;
  margin-right: 2px;
  position: relative;
  top: 2px;
}

.noteWrapper.citation.entityHighlight::before {
  content: url(../images/citation.svg);
  background-color: var(--citation);
  border-radius: 2px;
  padding: 2px 3px 0px 3px;
  color: white;
  margin-left: 6px;
  margin-right: 2px;
  position: relative;
  top: 2px;
}

.noteWrapper.keyword.entityHighlight::before {
  content: url(../images/keyword_inline_large_highlight.png);
}

.noteWrapper > * {
  display: inherit;
}

.noteWrapper.hide > * {
  display: none !important;
}

.showEntities .citation.start,
.showEntities .note.start,
.showEntities .keyword.start {
  border: none !important;
}

span[data-mce-bogus] {
  height: 0px;
  width: 0px;
  line-height: 0px;
  font-size: 0px;
  display: none;
}

*[_tag='pb'] {
  display: flex !important;
  position: relative !important;
  flex-direction: row !important;
  align-items: center !important;
  justify-content: start;
  height: 2px !important;
  margin-top: 4em !important;
  margin-bottom: 4em !important;
  background-color: #f5f5f5 !important;
  font-family: 'Lato' !important;
  font-size: 0.8em !important;
  text-align: center !important;
  text-indent: 0px !important;
}

*[xml\:lang|='ar'] [_tag='pb'],
*[xml\:lang|='fa'] [_tag='pb'],
*[xml\:lang|='he'] [_tag='pb'],
*[xml\:lang|='iw'] [_tag='pb'],
*[xml\:lang|='ota'] [_tag='pb'] {
  justify-content: left !important;
}

*[_tag='pb']:before,
*[_tag='pb']:after {
  display: inline-flex !important;
  position: relative !important;
  left: 50% !important;
  width: unset !important;
  height: unset !important;
  border-radius: 20px !important;
}

*[_tag='pb']:before {
  content: '\00a0' !important;
  box-shadow: unset !important;
}

*[_tag='pb']:after {
  content: attr(n) !important;
  background-color: #eaeaea !important;
  padding-left: 16px !important;
  padding-right: 16px !important;
  box-shadow: unset !important;
  text-indent: unset !important;
}

@media (prefers-color-scheme: dark) {
  *[_tag='pb'] {
    color: black !important;
  }
}

* {
  scroll-margin-top: 1rem;
}
